GDB (xrefs)

Functions | Variables
/tmp/gdb-8.1/gdb/psymtab.h File Reference
`#include "symfile.h"`

Go to the source code of this file.

## Functions
struct psymbol_bcache * | psymbol_bcache_init (void)
void | psymbol_bcache_free (struct psymbol_bcache *)
struct bcache * | psymbol_bcache_get_bcache (struct psymbol_bcache *)
struct objfile * | require_partial_symbols (struct objfile *objfile, int verbose)

## Variables
const struct quick_symbol_functions | psym_functions
const struct quick_symbol_functions | dwarf2_gdb_index_functions
const struct quick_symbol_functions | dwarf2_debug_names_functions

## Function Documentation

## ◆ psymbol_bcache_free()

void psymbol_bcache_free | ( | struct psymbol_bcache * |  | ) |

Definition at line 1674 of file psymtab.c.

References bcache_xfree(), and xfree().

Referenced by reread_symbols(), and objfile::~objfile().

## ◆ psymbol_bcache_get_bcache()

struct bcache* psymbol_bcache_get_bcache | ( | struct psymbol_bcache * |  | ) |

Definition at line 1686 of file psymtab.c.

Referenced by print_objfile_statistics(), and print_symbol_bcache_statistics().

## ◆ psymbol_bcache_init()

struct psymbol_bcache* psymbol_bcache_init | ( | void |  | ) |

Definition at line 1663 of file psymtab.c.

References bcache(), bcache_xmalloc(), psymbol_compare(), psymbol_hash(), and XCNEW.

Referenced by reread_symbols().

## ◆ require_partial_symbols()

struct objfile* require_partial_symbols | ( | struct objfile * | objfile,
|  | int | verbose
| ) |  |

Definition at line 75 of file psymtab.c.

References _, objfile::flags, gdb_flush(), gdb_stdout, objfile::global_psymbols, OBJF_PSYMTABS_READ, objfile::objfile(), objfile_has_symbols(), objfile_name(), printf_unfiltered(), objfile::sf, objfile::static_psymbols, sym_fns::sym_read_psymbols, and wrap_here().

Referenced by read_symbols().

## Variable Documentation

## ◆ dwarf2_debug_names_functions

const struct quick_symbol_functions dwarf2_debug_names_functions

Definition at line 6444 of file dwarf2read.c.

## ◆ dwarf2_gdb_index_functions

const struct quick_symbol_functions dwarf2_gdb_index_functions

Definition at line 5615 of file dwarf2read.c.

## ◆ psym_functions

const struct quick_symbol_functions psym_functions

Definition at line 1541 of file psymtab.c.